#include "postgresql-libpq-6.2.x.hh"


/*
*  UESQLC::postgresql-libpq-6.2.x internal variables initiation.
*/

TPostgresql62xManager   htPostgresql62xManager;


/*
*  Name:      test-select-1.uesql.cc
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   Test for UESQL
*  Date:      $Date: 1998/10/29 23:10:30 $
*  Revision:  $Revision: 1.3 $
*
*  Copyright (C) 1996-1998  Rafael Jesus Alcantara Perez <ralcan@vnet.es>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/


int main (void)
{

  /* Single line multi-line comment */
  /*
  * Multi-line comment
  */
  /* Single line multi-line comment */
  // Single line comment
{
/*
*  SQL instructions.
*/
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT FIELD1 FROM TABLE1 WHERE ( FIELD3 = FIELD4 );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  VAR1 = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT FIELD1 FROM TABLE2;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  VAR1 = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT FIELD1 FROM TABLE1 WHERE ( FIELD1 = 'holaadios -- hola' );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  VAR1 = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}
{
int   J = 0;

PGV_EXEC ("BEGIN;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("DECLARE AUX_CURSOR CURSOR FOR SELECT FIELD1 FROM TABLE1 WHERE ( FIELD1 = B'0101001110101' );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
PG_EXEC ("FETCH ALL IN AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
if ( PG62X_NOT_FOUND_CONDITION )
{
  /* 
  *  Condition:  no data
  */ 
  SQLCODE = 101; SQLSTATE = "02000";
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  
}
else if ( PQntuples (htPostgresql62xManager.ptPgresult) != 1 )
{
  /* 
  *  Condition:  cardinality violation
  */ 
  SQLCODE = -1; SQLSTATE = "21000"; 
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGIV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn);
  PGIV_EXEC ("END;", htPostgresql62xManager.ptPgconn);
  htPostgresql62xManager.finish(); exit (1);
}
else
{
  SQLCODE = 0; SQLSTATE = "00000";
  VAR1 = PQgetvalue (htPostgresql62xManager.ptPgresult, 0, J++);
  if ( htPostgresql62xManager.ptPgresult ) PQclear (htPostgresql62xManager.ptPgresult);
  PGV_EXEC ("CLOSE AUX_CURSOR;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
  PGV_EXEC ("END;", htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
}
}

}
  return 0;

}  /* main() */

/* the_end() */
